--
-- EPP interface package
--
-- 2010-09-25 by JTA
--

library ieee;
use ieee.std_logic_1164.all;

package epp_if_pkg is

component epp_if is
generic
(
  WAITCOUNT         : natural
);
port
(
  clk               : in std_logic;
  reset             : in std_logic;
  --
  epp_data          : inout std_logic_vector(7 downto 0);
  epp_wait          : out std_logic;
  epp_dir_in        : in std_logic;
  epp_astrobeb_in   : in std_logic;
  epp_dstrobeb_in   : in std_logic;
  epp_reset_in      : in std_logic;
  --
  addr              : out std_logic_vector(7 downto 0);
  dout              : out std_logic_vector(7 downto 0);
  din               : in std_logic_vector(7 downto 0);
  rd                : out std_logic;
  wr                : out std_logic;
  waitrequest       : in std_logic;
  reset_out         : out std_logic;
  addr_autoinc_ena  : in std_logic
);
end component;

end package;
