--
-- Input synchronizer package
--
-- 2010-01-22 by JTA
--

library ieee;
use ieee.std_logic_1164.all;

package isync_pkg is

component isync is 
generic
(
  SYNC_STAGES : integer
);
port 
( 
  clk : in std_logic;
  reset : in std_logic;
  sin : in std_logic; 
  sout : out std_logic
); 
end component isync;

component isync_slv is
generic
(
  SYNC_STAGES : integer;
  WIDTH : integer
);
port
(
  clk : in std_logic;
  reset : in std_logic; 
  sin : in std_logic_vector(WIDTH-1 downto 0);
  sout : out std_logic_vector(WIDTH-1 downto 0)
);
end component;

end package;
