--
-- Rate generator package
--
-- 2010-09-25 by JTA
--

library ieee;
use ieee.std_logic_1164.all;

package rate_gen_pkg is

component rate_gen is
generic
(
  REGWIDTH : natural;
  CLKDIV : natural
);
port
(
  clk : in std_logic;
  reset : in std_logic;
  rate : in std_logic_vector(REGWIDTH-1 downto 0);
  enable : in std_logic;
  pout : out std_logic
);
end component;

end package;
