--
-- Step & dir generator package
--
-- 2010-01-22 by JTA
--

library ieee;
use ieee.std_logic_1164.all;

package stepdir_gen_pkg is

component stepdir_gen is
generic
(
  STEP_WIDTH : integer;
  DIR_SETUP : integer
);
port
(
  clk : in std_logic;
  reset : in std_logic;

  fwd_in : in std_logic;
  rev_in : in std_logic;
  enable : in std_logic;

  step : out std_logic;
  dir : out std_logic
);
end component;

end package;
